Description

I try to add a vmware compute instance. OS provisioning will be image based. All works well except puppet certificate generation.

1. Remove puppet certificate for foo

2. Adding autosign entry for foo

3. Revoked old certificates and enabled autosign

But than the following steps run:

1. Found foo

2. Remove puppet certificate for foo

3. Adding autosign entry for foo

4. Delete the autosign entry for foo

After that i get a host but no puppet association is given. In puppetca exist an revoked certificate for the host.

My Environment is:

Distributor ID:    Ubuntu

Description:    Ubuntu 14.04.2 LTS

Release:    14.04

Codename:    trusty

foreman         1.7.3-1

foreman-compute 1.7.3-1

foreman-proxy   1.7.3-1

foreman-sqlite3 1.7.3-1

foreman-vmware  1.7.3-1

foremancli      1.0-2

puppet                 3.7.5-1puppetlabs1

puppet-common          3.7.5-1puppetlabs1

puppetlabs-release     1.0-11

puppetmaster-common    3.7.5-1puppetlabs1

puppetmaster-passenger 3.7.5-1puppetlabs1

Cheers

Christian

History

#1 - 04/15/2015 07:52 PM - Anonymous

Unfortunantely the logs does not tell much here and I have never used images based provisioning, but anyway... The autosign entry will also get

removed when the host is set to "built", regardless of the certificate state, so I suspect there's something not working when the puppet agent is

triggered to do the certificate request in the finish script (or it's not triggered). Maybe the whole output of the finish script can be redirected to some file

on the new node so you can fetch that after it got provisioned?

#2 - 04/16/2015 01:34 AM - Christian Meißner

- File finish Template.txt added
Hi Michael,

attached you can find the review of the finish template. I added line 53 because puppet never run after provisioning. Strange is that puppet will update

the config withou murmur and that with a revoked certificate. I have no idea why this work this way and this is not good to see.

#3 - 04/17/2015 06:02 AM - Anonymous

The finish template itself is no help without seeing what's the actual output to get a clue what's happening and where it's going wrong. BTW, I didn't

see any call to /unattended/built in production.log. As I get from the original issue there's also no certificate sign request submitted to the puppet

master?

#4 - 04/17/2015 06:09 AM - Christian Meißner

Ok, what i should do to provide you nessecary input?

Which reason are possible for:

1. no call to /unattended/build

2. no signing request

Maybe it is an configuration problem. I'm completly new to foreman in combination with puppet.

#5 - 11/05/2015 09:27 AM - Lionel Beard

For information, I get the same issue with VMware template provisionning, and it was solved by modifying last line in finish template:

/usr/bin/wget --no-proxy --quiet --output-document=/dev/null --no-check-certificate <%= foreman_url >

to

/usr/bin/wget --no-proxy --quiet --output-document=/dev/null --no-check-certificate <= foreman_url('built') %>

#6 - 08/10/2016 07:20 PM - Anonymous

- Status changed from New to Resolved

The change referenced was made to all the Foreman templates where needed in the meanwhile, ACAICT.

Files

first_try_creation_finalisation_w_certs.log 24.2 KB 04/15/2015 Christian Meißner

finish Template.txt 2.14 KB 04/16/2015 Christian Meißner
